nodes_bundle_suggestions_retrieve
GET
/api/nodes/{id}/bundle-suggestions
const url = 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bundle-suggestions';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bundle-suggestions \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Return file-association suggestions for all DataLinks on a given Node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this node.
Header Parameters
Section titled “Header Parameters”X-Workspace
required
string format: uuid
Workspace ID
Responses
Section titled “Responses”Media typeapplication/json
Serializer for BundleSuggestion.
object
files
required
Array<object>
Serializer for SuggestedFile.
object
datalink_id
required
string format: uuid
data_name
required
string
data_id
required
string
role
required
string
confidence
required
Serializer for ComponentConfidence.
object
overall
required
high- Highmedium- Mediumlow- Low
string
association
required
object
association_id
string
exists
required
boolean
sample
required
object
sample_id
required
string format: uuid
proposed_alias
required
string
exists
required
boolean
already_bound
required
boolean
node_id
string format: uuid
inherited
boolean
metadata
required
Array<object>
Serializer for BundleMetadataItem.
object
slug
required
string
name
required
string
value
required
description
string
confidence
required
high- Highmedium- Mediumlow- Low
string
target
required
data- dataassociation- associationsample- sample
string
Example
{ "confidence": { "association": "high", "sample": "high", "metadata": "high", "overall": "high" }, "sample": { "inherited": false }, "metadata": [ { "confidence": "high", "target": "data" } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "message": "Not a member of the node.", "code": "unauthorized" } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
